[Rainmeter]
Author=wasek,viken
Update=1000

[Variables]
Drive1=C:
Drive2=D:
Drive3=E:
BarColor=250, 250, 250,20
BarColor2=204,204,204,150

[style]
FontFace=Neuropol
FontSize=7
StringStyle=BOLD
FontColor=250,250,250,200
AntiAlias=1
StringEffect=SHADOW
FontEffectColor=0,0,0,100
ClipString=0

[Background]
Meter=IMAGE
SolidColor=0,0,0,100
X=85
Y=7
W=355
H=80

[Background2]
Meter=IMAGE
ImageName=A.Png
X=70
Y=3
W=385
H=85

[C]
Meter=IMAGE
SolidColor=0,0,0,1
X=80
Y=4
W=200
H=40
LeftMouseDownAction=!Execute [!RainmeterShowMeterGroup C][!RainmeterRedraw]

[C2]
Meter=IMAGE
SolidColor=0,0,0,100
X=7
Y=8
W=69
H=39
Group=C
Hidden=1
LeftMouseDownAction=!Execute ["C:\"][!RainmeterRedraw]
MouseLeaveAction=!Execute [!RainmeterHideMeterGroup C][!RainmeterRedraw]

[C3]
Meter=IMAGE
ImageName=A-A.Png
X=0
Y=7
Group=C
Hidden=1

[C4]
Meter=STRING
MeterStyle=style
FontSize=20
X=30
Y=16
Text=C
Group=C
Hidden=1

[D]
Meter=IMAGE
SolidColor=0,0,0,1
X=80
Y=44
W=200
H=40
LeftMouseDownAction=!Execute [!RainmeterShowMeterGroup D][!RainmeterRedraw]

[D2]
Meter=IMAGE
SolidColor=0,0,0,100
X=7
Y=46
W=69
H=39
Group=D
Hidden=1
LeftMouseDownAction=!Execute ["D:\"][!RainmeterRedraw]
MouseLeaveAction=!Execute [!RainmeterHideMeterGroup D][!RainmeterRedraw]

[D3]
Meter=IMAGE
ImageName=A-A.Png
X=0
Y=45
Group=D
Hidden=1

[D4]
Meter=STRING
MeterStyle=style
FontSize=20
X=30
Y=54
Text=D
Group=D
Hidden=1

----------------------------------

[MeasureHDD1]
Measure=FreeDiskSpace
InvertMeasure=1
Drive=#Drive1#

[MeasureHDD1a]
Measure=FreeDiskSpace
InvertMeasure=0
Drive=#Drive1#

[MeasureHDD1x]
Measure=FreeDiskSpace
InvertMeasure=0
Drive=#Drive1#

[MeasureLabelHDD1]
Measure=FreeDiskSpace
Label=1
Drive=#Drive1#
Substitute="":"HDD"

[MeasureTotalHDD1]
Measure=FreeDiskSpace
Total=1
Drive=#Drive1#

----------------------------------
[MeasureHDD2]
Measure=FreeDiskSpace
InvertMeasure=1
Drive=#Drive2#

[MeasureHDD2a]
Measure=FreeDiskSpace
InvertMeasure=0
Drive=#Drive2#

[MeasureHDD2x]
Measure=FreeDiskSpace
InvertMeasure=0
Drive=#Drive2#

[MeasureLabelHDD2]
Measure=FreeDiskSpace
Label=1
Drive=#Drive2#
Substitute="":"HDD"

[MeasureTotalHDD2]
Measure=FreeDiskSpace
Total=1
Drive=#Drive2#

[Mse_DiskIO_Read]
Measure=Plugin
Plugin=Plugins\PerfMon.dll
PerfMonObject=PhysicalDisk
PerfMonCounter="Disk Read Bytes/sec"
PerfMonInstance=_Total

[Mse_DiskIO_Read_KB]
Measure=Calc
Formula=Mse_DiskIO_Read/1024

[Mse_DiskIO_Write]
Measure=Plugin
Plugin=Plugins\PerfMon.dll
PerfMonObject=PhysicalDisk
PerfMonCounter="Disk Write Bytes/sec"
PerfMonInstance=_Total

[Mse_DiskIO_Write_KB]
Measure=Calc
Formula=Mse_DiskIO_Write/1024

----------------------------------------

[Drive1Label]
Meter=STRING
MeasureName=MeasureLabelHDD1
X=95
Y=15
MeterStyle=style
Text="%1 #Drive1#"

[Drive1Total]
MeasureName=MeasureTotalHDD1
Meter=STRING
X=245
Y=0r
MeterStyle=style
AutoScale=1
Text="Total  %1B"
StringAlign=Center

[Drive1Usage]
MeasureName=MeasureHDD1a
Meter=STRING
X=425
Y=0r
MeterStyle=style
AutoScale=1
Text="Free %1B"
StringAlign=Right

[MeterUsedDrive1Bar]
MeasureName=MeasureHDD2
Meter=BAR
X=90
Y=30
W=340
H=4
BarColor=#BarColor2#
BarOrientation=HORIZONTAL

[Drive1-1BarBG]
Meter=IMAGE
X=r
Y=r
W=340
H=4
SolidColor=#BarColor#

;[Drive2]====================================

[Drive2Label]
Meter=STRING
MeasureName=MeasureLabelHDD2
X=95
Y=40
MeterStyle=style
AutoScale=1
Text="%1 #Drive2#"

[Drive2Total]
MeasureName=MeasureTotalHDD2
Meter=STRING
X=245
Y=0r
MeterStyle=style
AutoScale=1
Text="Total  %1B"
StringAlign=Center

[Drive2Usage]
MeasureName=MeasureHDD2a
Meter=STRING
X=425
Y=0r
MeterStyle=style
AutoScale=1
Text="Free %1B"
StringAlign=Right

[MeterUsedDrive2Bar]
MeasureName=MeasureHDD2
Meter=BAR
X=90
Y=55
W=340
H=4
BarColor=#BarColor2#
BarOrientation=HORIZONTAL

[Drive2BarBG]
Meter=IMAGE
X=r
Y=r
W=340
H=4
SolidColor=#BarColor#

------------------------------

[DiskIO_Read_Text]
Meter=STRING
X=95
Y=70
MeterStyle=style
Text=Чтение

[DiskIO_Read]
MeasureName=Mse_DiskIO_Read_KB
Meter=STRING
X=70r
Y=0r
MeterStyle=style
NumOfDecimals=0
Text="%1b/s"
AutoScale=1

[DiskIO_Write_Text]
Meter=STRING
X=310
Y=0r
MeterStyle=style
Text=Запись
          
[DiskIO_Write]
MeasureName=Mse_DiskIO_Write_KB
Meter=STRING
X=430
Y=0r
MeterStyle=style
Text="%1b/s"
AutoScale=1
NumOfDecimals=0
StringAlign=Right

